Skip to main content
GET
/
appointments
/
{appointmentId}
/
contactlessPayments
List contactless payments
curl --request GET \
  --url https://api.guile.app/appointments/{appointmentId}/contactlessPayments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "appointment": {
        "id": "<string>",
        "occursOn": "2023-11-07T05:31:56Z",
        "barber": {
          "id": "<string>",
          "givenName": "<string>",
          "surname": "<string>",
          "preferredName": "<string>",
          "biography": "<string>",
          "spokenLanguages": [
            "<string>"
          ],
          "experience": 50
        },
        "location": {
          "id": "<string>",
          "name": "<string>",
          "shopName": "<string>"
        }
      },
      "amount": "456.78",
      "clientSecret": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "externalPaymentReference": {
        "id": "<string>",
        "paymentProcessor": "stripe"
      },
      "card": {
        "maskedPersonalAccountNumber": "<string>",
        "expirationMonth": "<string>",
        "expirationYear": "<string>"
      },
      "authorizedAt": "2023-11-07T05:31:56Z",
      "capturedAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 1
}

Path Parameters

appointmentId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Ok. The operation succeeded.

A list of contactless payments.

items
object[]
required
count
integer<int16>
required
Required range: x >= 0